Package org.apache.velocity.runtime.parser

# Class TemplateParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.velocity.runtime.parser.ParseException
org.apache.velocity.runtime.parser.TemplateParseException

All Implemented Interfaces:
  `Serializable`, `ExtendedParseException`

public class TemplateParseException extends ParseException implements ExtendedParseException
This is an extension of the ParseException, which also takes a template name.

Since:
  1.5
Version:
  $Id$
Author:
  Henning P. Schmiedehausen
See Also:
  - `ParseException`
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.velocity.runtime.parser.ParseException

`currentToken, eol, expectedTokenSequences, specialConstructor, tokenImage`

## Constructor Summary

Constructors
Constructor
Description
`TemplateParseException()`
The following constructors are for use by you for whatever purpose you can think of.
`TemplateParseException(String message)`
Creates a new TemplateParseException object.
`TemplateParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)`
This constructor is used by the method "generateParseException" in the generated parser.
`TemplateParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal, String templateNameVal)`
This constructor is used to add a template name to info cribbed from a ParseException generated in the parser.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`appendTemplateInfo(StringBuilder sb)`
`int`
`getColumnNumber()`
returns the column number where this exception occurred.
`int`
`getLineNumber()`
returns the line number where this exception occurred.
`String`
`getMessage()`
This method has the standard behavior when this object has been created using the standard constructors.
`String`
`getTemplateName()`
returns the Template name where this exception occurred.

### Methods inherited from class org.apache.velocity.runtime.parser.ParseException

`add_escapes`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TemplateParseException

public TemplateParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal, String templateNameVal)
This constructor is used to add a template name to info cribbed from a ParseException generated in the parser.

Parameters:
  `currentTokenVal` -
  `expectedTokenSequencesVal` -
  `tokenImageVal` -
  `templateNameVal` -

### TemplateParseException

public TemplateParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)

This constructor is used by the method "generateParseException" in the generated parser. Calling this constructor generates a new object of this type with the fields "currentToken", "expectedTokenSequences", and "tokenImage" set. The boolean flag "specialConstructor" is also set to true to indicate that this constructor was used to create this object. This constructor calls its super class with the empty string to force the "toString" method of parent class "Throwable" to print the error message in the form:

         ParseException: <result of getMessage>

Parameters:
  `currentTokenVal` -
  `expectedTokenSequencesVal` -
  `tokenImageVal` -

### TemplateParseException

public TemplateParseException()
The following constructors are for use by you for whatever purpose you can think of. Constructing the exception in this manner makes the exception behave in the normal way - i.e., as documented in the class "Throwable". The fields "errorToken", "expectedTokenSequences", and "tokenImage" do not contain relevant information. The JavaCC generated code does not use these constructors.

### TemplateParseException

public TemplateParseException(String message)
Creates a new TemplateParseException object.

Parameters:
  `message` - TODO: DOCUMENT ME!

## Method Details

### getTemplateName

public String getTemplateName()
returns the Template name where this exception occurred.

Specified by:
  `getTemplateName` in interface `ExtendedParseException`
Returns:
  The Template name where this exception occurred.

### getLineNumber

public int getLineNumber()
returns the line number where this exception occurred.

Specified by:
  `getLineNumber` in interface `ExtendedParseException`
Returns:
  The line number where this exception occurred.

### getColumnNumber

public int getColumnNumber()
returns the column number where this exception occurred.

Specified by:
  `getColumnNumber` in interface `ExtendedParseException`
Returns:
  The column number where this exception occurred.

### getMessage

public String getMessage()
This method has the standard behavior when this object has been created using the standard constructors. Otherwise, it uses "currentToken" and "expectedTokenSequences" to generate a parse error message and returns it. If this object has been created due to a parse error, and you do not catch it (it gets thrown from the parser), then this method is called during the printing of the final stack trace, and hence the correct error message gets displayed.

Overrides:
  `getMessage` in class `ParseException`
Returns:
  The error message.

### appendTemplateInfo

protected void appendTemplateInfo(StringBuilder sb)

Parameters:
  `sb` -